import request from '@/utils/request'

// 查询优惠劵发放方式列表


// 单条 查询优惠劵发放方式详细
export function getIssue(id) {
  return request({
    url: '/coupon/issue/' + id,
    method: 'get'
  })
}

// 新增优惠劵发放方式
export function addIssue(data) {
  return request({
    url: '/coupon/issue',
    method: 'post',
    data: data
  })
}

// 修改优惠劵发放方式
export function updateIssue(data) {
  return request({
    url: '/coupon/issue',
    method: 'put',
    data: data
  })
}

// 删除优惠劵发放方式
// export function delIssue(id) {
//   return request({
//     url: '/coupon/issue/' + id,
//     method: 'delete'
//   })
// }

// 导出优惠劵发放方式
export function exportIssue(query) {
  return request({
    url: '/coupon/issue/export',
    method: 'get',
    params: query
  })
}